# Data Transformation

Provides functionalities for converting raw data into structured formats.

 - [POST /jobs/transformationjobs](https://developer.cdq.com/apis/data-exchange-api/api-v5/data-transformation/paths/~1jobs~1transformationjobs/post.md): Starting a Transformation Job. In case any selected data source does not have a `dataMappingDefinition` an API error returned.
 - [GET /jobs/transformationjobs/{id}](https://developer.cdq.com/apis/data-exchange-api/api-v5/data-transformation/paths/~1jobs~1transformationjobs~1%7Bid%7D/get.md): After you have started a transformation job, you will receive a job id in the response. ``` { "id" : "<ID>" } ``` Use this ID to poll for the status of the job using this endpoint. Once the status
 - [POST /v3/datamappers/{id}/transform](https://developer.cdq.com/apis/data-exchange-api/api-v5/data-transformation/paths/~1v3~1datamappers~1%7Bid%7D~1transform/post.md): Use a Data Mapper Definition to transform a list of records into Business Partners.
